Get Event Topic
Retrieves Event Topic
Retrieves Event Topic by id.
Request
URI
GET
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/event-broker/api/topics/{id}
COPY
Path Parameters
string
id
Required
the id of Event Topic
Responses
200
'Success' with the Event Topic
Returns
EventTopic
of type(s)
application/json
{
"id": "string",
"serviceTypeId": "string",
"orgId": "string",
"type": "string",
"name": "string",
"description": "string",
"schema": {
"id": "string",
"fields": [
{
"id": "string",
"label": "string",
"description": "string",
"dataType": "ComplexDataType Object",
"readOnly": false,
"multiValued": false
}
]
},
"blockable": false,
"shared": false,
"tenancy": "string"
}
string
id
Optional
Constraints:
minLength: 0
maxLength: 150
id
string
serviceTypeId
Required
Constraints:
minLength: 0
maxLength: 255
Identifier of the service that defines the topic.
string
orgId
Optional
Constraints:
minLength: 0
maxLength: 255
orgId
string
type
Required
Type of the topic.
string
name
Required
Constraints:
minLength: 0
maxLength: 255
name
string
description
Optional
Constraints:
minLength: 0
maxLength: 2000
description
object
schema
Optional
If defined, the event's data property will comply to this schema.
boolean
blockable
Optional
If true, the event will be delivered to blocking subscriptions first according their priority.
boolean
shared
Optional
Indicates that the topic is shared - i.e. any service can publish events.
string
tenancy
Optional
The tenancy mode this topic is applicable to.
404
'Not found' if no Event Topic with provided id
Operation doesn't return any data structure
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/event-broker/api/topics/{id}